﻿@{
    ViewData["Title"] = "Home Page";
}

<!-- Topbar Search -->
@inject Microsoft.AspNetCore.Antiforgery.IAntiforgery Xsrf
@Html.AntiForgeryToken()
<div class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
    <div class="input-group">
        <input type="text" id="searchKeyword" class="form-control bg-light border-0 small" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
        <div class="input-group-append">
            <button onclick="getProducts()" id="searchBtn" class="btn btn-primary" type="button">
                <i class="fas fa-search fa-sm" ></i>
            </button>
        </div>
    </div>
</div>

<div id="listProductContainer" class="row justify-content-around">
    @await Component.InvokeAsync("ShowListProduct", new {searchKey = "", currentPage = 1})    
</div>

@section script{
    <script src="~/js/view/cart/AddCartItem.js"> </script>
    <script type="text/javascript">
        var currentPostPage = 2;
        $(document).ready(function () {
            console.log("search")
            $(window).scroll(function() {
                if($(window).scrollTop() + $(window).height() >= $(document).height()) {
                    getProducts();
                    currentPostPage++;
                }
            });
        });



        function getProducts(){ 
            const searchKey = $('#searchKeyword')[0].value;
            var token = $('input[name="__RequestVerificationToken"]').val();
            const url = `${window.location.origin}/Product/ShowListProductView?searchKeyword=${searchKey}&currentPage=${currentPostPage}`;
            $.ajax({
               url: url,
               type: "post",
               dataType: "json",
               data: {
                    __RequestVerificationToken: token
                },
               complete: function (result) {
                   $("#listProductContainer").html($("#listProductContainer").html()+result.responseText);
               }
           });
        }
    
 </script>

}

